html, body {
  margin: 0;
  padding: 0;
}

html, body, div {
  box-sizing: border-box;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;  
}

body { -webkit-touch-callout: none !important; }
a { -webkit-user-select: none !important; }

#text-container {
  width: 100%;
  padding: 8px;
}

#text {
  box-sizing: border-box;
  width: 100%;
  height: 200px;
  font-size: 40px;
}

.base {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 384px;
  background: #e0e0e0;
}

.base.touched .vowels {
  display: block;
}

.base.touched > div.key {
  display: none;
}

.base.touched > div.key.touched {
  display: block;
}

.base div {
  background: white;
}

div.key {
  display: block;
  position: absolute;
  width: 60px;
  height: 60px;
  border-radius: 6px;
  border: solid 1px #444444;
  text-align: center;
  font-size: 40px;
}

.vowels div.key {
  background: #ffe0e0;
  width: 44px;
  height: 44px;
  border-radius: 12px;
  font-size: 32px;
}

.vowels div.key.tone {
  background: #e0ffe0;
  width: 30px;
  height: 30px;
  border-radius: 15px;
  padding-left: 11px;
  padding-top: 4px;
  font-size: 32pt;
}

.vowels {
  display: none;
  position: absolute;
}

/* Mysteriously appearing tones */

.vowels .tone-above,
.vowels .tone-right,
.vowels .tone-below,
.vowels .tone-left {
  transition: opacity 0.5s;
  opacity: 0;
  display: block;
}

.vowels.show-left .tone-left,
.vowels.show-above .tone-above,
.vowels.show-right .tone-right,
.vowels.show-below .tone-below {
  display: block;
  transition: opacity 0.25s;
  opacity: 1;
}

/* Key positions */

#m {
  left: 412px;
  top: 140px;
}

#n {
  left: 482px;
  top: 140px;
}

#ng {
  left: 552px;
  top: 140px;
}

/* suffix */

#sala_a1 {
  left: 84px;
  top: 16px;
}

#sala_aa {
  left: 133px;
  top: 16px;
}

#sala_am {
  left: 105px;
  top: 68px;
}

#sala_o_2 {
  left: 105px;
  top: -35px;
}

#sala_w {
  left: 153px;
  top: -52px;
}

/* above */

#sala_i {
  left: -35px;
  top: -50px;
}

#sala_ii {
  left: -59px;
  top: -95px;
}

#sala_ue {
  left: 55px;
  top: -50px;
}

#sala_uee {
  left: 75px;
  top: -95px;
}

#sala_a2 {
  left: 10px;
  top: -54px;
}

/* below */

#sala_u {
  left: -15px;
  top: 70px;
}

#sala_uu {
  left: 35px;
  top: 70px;
}

/* prefix */

#sala_e {
  left: -70px;
  top: 16px;
}

#sala_ae {
  left: -120px;
  top: 16px;
}

#sala_o {
  left: -85px;
  top: 68px;
}

#sala_ai_1 {
  left: -85px;
  top: -35px;
}

#sala_ai_2 {
  left: -135px;
  top: -52px;
}

/* tones above */

#mai_ek {
  top: -135px;
  left: -58px;
}
 
#mai_tho {
  top: -150px;
  left: -15px;
}

#mai_tri {
  top: -150px;
  left: 45px;
}

#mai_chatthawa {
  top: -135px;
  left: 89px;
}

/* tones on right */

#mai_ek_r {
  top: -50px;
  left: 209px;
}
 
#mai_tho_r {
  top: -3px;
  left: 220px;
}

#mai_tri_r {
  top: 44px;
  left: 208px;
}

#mai_chatthawa_r {
  top: 84px;
  left: 179px;
}

/* tones on left */

#mai_ek_l {
  top: -50px;
  left: -174px;
}
 
#mai_tho_l {
  top: -3px;
  left: -185px;
}

#mai_tri_l {
  top: 44px;
  left: -173px;
}

#mai_chatthawa_l {
  top: 84px;
  left: -144px;
}

/* tones below */

#mai_ek_b {
  top: 135px;
  left: -105px;
}
 
#mai_tho_b {
  top: 140px;
  left: -35px;
}

#mai_tri_b {
  top: 140px;
  left: 35px;
}

#mai_chatthawa_b {
  top: 135px;
  left: 105px;
}
